Modify

Opened 9 years ago

Closed 7 years ago

#10049 closed defect (fixed)

direct download plugin not working

Reported by: muzirian Owned by: team
Priority: critical Milestone:
Component: Plugin DirectDownload Version:
Keywords: Cc:

Description

direct download plugin is not working for me.when i select download track from gps menu it says error fetching url https://openstreetmap.org/api/0.6/user/gpx_files. and opens a small with no button working.
Im using build 7117 of josm.
Also it doesnt have link to documentation on josm plugins list

Attachments (0)

Change History (9)

comment:1 Changed 9 years ago by Don-vip

Component: PluginPlugin DirectDownload
Keywords: direct download removed
Summary: direct download not workingdirect download plugin not working

comment:2 Changed 9 years ago by Don-vip

The plugin lacks of any core authentication method thus cannot access user data before a proper authentication has been made elsewhere (example: created a changeset).

This needs to be rewritten to use OsmServerReader mechanisms.

comment:3 Changed 9 years ago by Don-vip

Ticket #10109 has been marked as a duplicate of this ticket.

comment:4 in reply to:  2 Changed 9 years ago by anonymous

Replying to Don-vip:

The plugin lacks of any core authentication method thus cannot access user data before a proper authentication has been made elsewhere (example: created a changeset).

This needs to be rewritten to use OsmServerReader mechanisms.

it doenst work even when created a changeset.
Also im having problem when editing with josm from https osm.org working only with http even with newwer builds of osm.

comment:5 Changed 8 years ago by anonymous

Priority: majorcritical

comment:6 Changed 8 years ago by Klumbumbus

For me this plugin also does not work even after creating a changeset.

Revision: 8085
Repository Root: http://josm.openstreetmap.de/svn
Relative URL: ^/trunk
Last Changed Author: bastiK
Last Changed Date: 2015-02-18 23:43:28 +0100 (Wed, 18 Feb 2015)
Build-Date: 2015-02-19 02:30:56
URL: http://josm.openstreetmap.de/svn/trunk
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last Changed Rev: 8085

Identification: JOSM/1.5 (8085 de) Windows 7 32-Bit
Memory Usage: 247 MB / 742 MB (110 MB allocated, but free)
Java version: 1.8.0_31, Oracle Corporation, Java HotSpot(TM) Client VM
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:C:\Program Files\Java\jre1.8.0_31\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=C:\Program Files\josm-latest.jnlp, -Djnlpx.remove=false, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.heapsize=256m,768m, -Djnlpx.splashport=54121, -Djnlpx.jvm=<java.home>\bin\javaw.exe, -Djnlpx.vmargs=LURqYXZhLnV0aWwuQXJyYXlzLnVzZUxlZ2FjeU1lcmdlU29ydD10cnVlAA==]
Program arguments: [--debug]
Dataset consistency test: No problems found

Plugins:
- DirectDownload (30892)
- DirectUpload (30892)
- HouseNumberTaggingTool (30892)
- OpeningHoursEditor (30962)
- PicLayer (30962)
- RoadSigns (30977)
- Tracer2 (30984)
- buildings_tools (30955)
- download_along (30892)
- editgpx (30892)
- imagery_offset_db (30892)
- measurement (30892)
- mirrored_download (30962)
- photo_geotagging (30967)
- photoadjust (30964)
- public_transport (30892)
- reltoolbox (30892)
- reverter (30990)
- tag2link (30962)
- terracer (30892)
- turnrestrictions (30962)
- undelete (30892)
- utilsplugin2 (31023)
- wikipedia (30892)

console:

Fehler: java.io.IOException: Server returned HTTP response code: 401 for URL: https://api.openstreetmap.org/api/0.6/user/gpx_files
java.io.IOException: Server returned HTTP response code: 401 for URL: https://api.openstreetmap.org/api/0.6/user/gpx_files
	at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(Unknown Source)
	at sun.net.www.protocol.http.HttpURLConnection.access$200(Unknown Source)
	at sun.net.www.protocol.http.HttpURLConnection$9.run(Unknown Source)
	at sun.net.www.protocol.http.HttpURLConnection$9.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessController.doPrivileged(Unknown Source)
	at sun.net.www.protocol.http.HttpURLConnection.getInputStream(Unknown Source)
	at sun.net.www.protocol.https.HttpsURLConnectionImpl.getInputStream(Unknown Source)
	at java.net.URL.openStream(Unknown Source)
	at org.openstreetmap.josm.plugins.directdownload.DownloadDataGui.getTrackList(DownloadDataGui.java:128)
	at org.openstreetmap.josm.plugins.directdownload.DownloadDataGui.<init>(DownloadDataGui.java:66)
	at org.openstreetmap.josm.plugins.directdownload.DirectDownload$DownloadAction.actionPerformed(DirectDownload.java:45)
	at javax.swing.AbstractButton.fireActionPerformed(Unknown Source)
	at javax.swing.AbstractButton$Handler.actionPerformed(Unknown Source)
	at javax.swing.DefaultButtonModel.fireActionPerformed(Unknown Source)
	at javax.swing.DefaultButtonModel.setPressed(Unknown Source)
	at javax.swing.AbstractButton.doClick(Unknown Source)
	at javax.swing.plaf.basic.BasicMenuItemUI.doClick(Unknown Source)
	at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(Unknown Source)
	at java.awt.AWTEventMulticaster.mouseReleased(Unknown Source)
	at java.awt.Component.processMouseEvent(Unknown Source)
	at javax.swing.JComponent.processMouseEvent(Unknown Source)
	at java.awt.Component.processEvent(Unknown Source)
	at java.awt.Container.processEvent(Unknown Source)
	at java.awt.Component.dispatchEventImpl(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)
	at java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)
	at java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Window.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
	at java.awt.EventQueue.access$500(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(Unknown Source)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue$4.run(Unknown Source)
	at java.awt.EventQueue$4.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue.dispatchEvent(Unknown Source)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.run(Unknown Source)

comment:7 Changed 7 years ago by muzirian

Its working now.
Guess the ticket can be closed

comment:8 in reply to:  7 Changed 7 years ago by Klumbumbus

Replying to muzirian:

Its working now.
Guess the ticket can be closed

No, it is still not working.

Fehler: java.io.IOException: Server returned HTTP response code: 401 for URL: https://api.openstreetmap.org/api/0.6/user/gpx_files
java.io.IOException: Server returned HTTP response code: 401 for URL: https://api.openstreetmap.org/api/0.6/user/gpx_files
	at sun.net.www.protocol.http.HttpURLConnection.getInputStream0(Unknown Source)
	at sun.net.www.protocol.http.HttpURLConnection.access$200(Unknown Source)
	at sun.net.www.protocol.http.HttpURLConnection$9.run(Unknown Source)
	at sun.net.www.protocol.http.HttpURLConnection$9.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessController.doPrivilegedWithCombiner(Unknown Source)
	at sun.net.www.protocol.http.HttpURLConnection.getInputStream(Unknown Source)
	at sun.net.www.protocol.https.HttpsURLConnectionImpl.getInputStream(Unknown Source)
	at java.net.URL.openStream(Unknown Source)
	at org.openstreetmap.josm.plugins.directdownload.DownloadDataGui.getTrackList(DownloadDataGui.java:128)
	at org.openstreetmap.josm.plugins.directdownload.DownloadDataGui.<init>(DownloadDataGui.java:66)
	at org.openstreetmap.josm.plugins.directdownload.DirectDownload$DownloadAction.actionPerformed(DirectDownload.java:45)
	at javax.swing.AbstractButton.fireActionPerformed(Unknown Source)
	at javax.swing.AbstractButton$Handler.actionPerformed(Unknown Source)
	at javax.swing.DefaultButtonModel.fireActionPerformed(Unknown Source)
	at javax.swing.DefaultButtonModel.setPressed(Unknown Source)
	at javax.swing.AbstractButton.doClick(Unknown Source)
	at javax.swing.plaf.basic.BasicMenuItemUI.doClick(Unknown Source)
	at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(Unknown Source)
	at java.awt.AWTEventMulticaster.mouseReleased(Unknown Source)
	at java.awt.Component.processMouseEvent(Unknown Source)
	at javax.swing.JComponent.processMouseEvent(Unknown Source)
	at java.awt.Component.processEvent(Unknown Source)
	at java.awt.Container.processEvent(Unknown Source)
	at java.awt.Component.dispatchEventImpl(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)
	at java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)
	at java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Window.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
	at java.awt.EventQueue.access$500(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue$4.run(Unknown Source)
	at java.awt.EventQueue$4.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue.dispatchEvent(Unknown Source)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.run(Unknown Source)

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-01-03 01:21:57 +0100 (Sun, 03 Jan 2016)
Build-Date:2016-01-03 02:32:44
Revision:9272
Relative:URL: ^/trunk

Identification: JOSM/1.5 (9272 de) Windows 7 32-Bit
Memory Usage: 247 MB / 742 MB (53 MB allocated, but free)
Java version: 1.8.0_66, Oracle Corporation, Java HotSpot(TM) Client VM
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:C:\Program Files\Java\jre1.8.0_66\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=C:\Program Files\josm-latest-bla.jnlp, -Djnlpx.remove=false, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.heapsize=256m,768m, -Djnlpx.splashport=54430, -Djnlpx.jvm=<java.home>\bin\javaw.exe, -Djnlpx.vmargs=LURqYXZhLnV0aWwuQXJyYXlzLnVzZUxlZ2FjeU1lcmdlU29ydD10cnVlAA==]
Dataset consistency test: No problems found

comment:9 Changed 7 years ago by simon04

Resolution: fixed
Status: newclosed

In [o31934:31935].

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.